<?php
$tdataseasonal_discounts = array();
$tdataseasonal_discounts[".searchableFields"] = array();
$tdataseasonal_discounts[".ShortName"] = "seasonal_discounts";
$tdataseasonal_discounts[".OwnerID"] = "";
$tdataseasonal_discounts[".OriginalTable"] = "seasonal discounts";


$tdataseasonal_discounts[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataseasonal_discounts[".originalPagesByType"] = $tdataseasonal_discounts[".pagesByType"];
$tdataseasonal_discounts[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataseasonal_discounts[".originalPages"] = $tdataseasonal_discounts[".pages"];
$tdataseasonal_discounts[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataseasonal_discounts[".originalDefaultPages"] = $tdataseasonal_discounts[".defaultPages"];

//	field labels
$fieldLabelsseasonal_discounts = array();
$fieldToolTipsseasonal_discounts = array();
$pageTitlesseasonal_discounts = array();
$placeHoldersseasonal_discounts = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsseasonal_discounts["English"] = array();
	$fieldToolTipsseasonal_discounts["English"] = array();
	$placeHoldersseasonal_discounts["English"] = array();
	$pageTitlesseasonal_discounts["English"] = array();
	$fieldLabelsseasonal_discounts["English"]["id"] = "Id";
	$fieldToolTipsseasonal_discounts["English"]["id"] = "";
	$placeHoldersseasonal_discounts["English"]["id"] = "";
	$fieldLabelsseasonal_discounts["English"]["bar_code"] = "Bar Code";
	$fieldToolTipsseasonal_discounts["English"]["bar_code"] = "";
	$placeHoldersseasonal_discounts["English"]["bar_code"] = "";
	$fieldLabelsseasonal_discounts["English"]["discount"] = "Discount";
	$fieldToolTipsseasonal_discounts["English"]["discount"] = "";
	$placeHoldersseasonal_discounts["English"]["discount"] = "";
	$fieldLabelsseasonal_discounts["English"]["discount_type"] = "Discount Type";
	$fieldToolTipsseasonal_discounts["English"]["discount_type"] = "";
	$placeHoldersseasonal_discounts["English"]["discount_type"] = "";
	$fieldLabelsseasonal_discounts["English"]["start_date"] = "Start Date";
	$fieldToolTipsseasonal_discounts["English"]["start_date"] = "";
	$placeHoldersseasonal_discounts["English"]["start_date"] = "";
	$fieldLabelsseasonal_discounts["English"]["end_date"] = "End Date";
	$fieldToolTipsseasonal_discounts["English"]["end_date"] = "";
	$placeHoldersseasonal_discounts["English"]["end_date"] = "";
	$fieldLabelsseasonal_discounts["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsseasonal_discounts["English"]["outlet_code"] = "";
	$placeHoldersseasonal_discounts["English"]["outlet_code"] = "";
	if (count($fieldToolTipsseasonal_discounts["English"]))
		$tdataseasonal_discounts[".isUseToolTips"] = true;
}


	$tdataseasonal_discounts[".NCSearch"] = true;



$tdataseasonal_discounts[".shortTableName"] = "seasonal_discounts";
$tdataseasonal_discounts[".nSecOptions"] = 0;

$tdataseasonal_discounts[".mainTableOwnerID"] = "";
$tdataseasonal_discounts[".entityType"] = 0;
$tdataseasonal_discounts[".connId"] = "test2_at_localhost";


$tdataseasonal_discounts[".strOriginalTableName"] = "seasonal discounts";

	



$tdataseasonal_discounts[".showAddInPopup"] = false;

$tdataseasonal_discounts[".showEditInPopup"] = false;

$tdataseasonal_discounts[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataseasonal_discounts[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataseasonal_discounts[".listAjax"] = false;
//	temporary
$tdataseasonal_discounts[".listAjax"] = false;

	$tdataseasonal_discounts[".audit"] = true;

	$tdataseasonal_discounts[".locking"] = false;


$pages = $tdataseasonal_discounts[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataseasonal_discounts[".edit"] = true;
	$tdataseasonal_discounts[".afterEditAction"] = 1;
	$tdataseasonal_discounts[".closePopupAfterEdit"] = 1;
	$tdataseasonal_discounts[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataseasonal_discounts[".add"] = true;
$tdataseasonal_discounts[".afterAddAction"] = 1;
$tdataseasonal_discounts[".closePopupAfterAdd"] = 1;
$tdataseasonal_discounts[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataseasonal_discounts[".list"] = true;
}



$tdataseasonal_discounts[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataseasonal_discounts[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataseasonal_discounts[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataseasonal_discounts[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataseasonal_discounts[".printFriendly"] = true;
}



$tdataseasonal_discounts[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataseasonal_discounts[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataseasonal_discounts[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataseasonal_discounts[".isUseAjaxSuggest"] = true;

$tdataseasonal_discounts[".rowHighlite"] = true;



																																																			

$tdataseasonal_discounts[".ajaxCodeSnippetAdded"] = false;

$tdataseasonal_discounts[".buttonsAdded"] = false;

$tdataseasonal_discounts[".addPageEvents"] = false;

// use timepicker for search panel
$tdataseasonal_discounts[".isUseTimeForSearch"] = false;


$tdataseasonal_discounts[".badgeColor"] = "E67349";


$tdataseasonal_discounts[".allSearchFields"] = array();
$tdataseasonal_discounts[".filterFields"] = array();
$tdataseasonal_discounts[".requiredSearchFields"] = array();

$tdataseasonal_discounts[".googleLikeFields"] = array();
$tdataseasonal_discounts[".googleLikeFields"][] = "id";
$tdataseasonal_discounts[".googleLikeFields"][] = "bar_code";
$tdataseasonal_discounts[".googleLikeFields"][] = "discount";
$tdataseasonal_discounts[".googleLikeFields"][] = "discount_type";
$tdataseasonal_discounts[".googleLikeFields"][] = "start_date";
$tdataseasonal_discounts[".googleLikeFields"][] = "end_date";
$tdataseasonal_discounts[".googleLikeFields"][] = "outlet_code";



$tdataseasonal_discounts[".tableType"] = "list";

$tdataseasonal_discounts[".printerPageOrientation"] = 0;
$tdataseasonal_discounts[".nPrinterPageScale"] = 100;

$tdataseasonal_discounts[".nPrinterSplitRecords"] = 40;

$tdataseasonal_discounts[".geocodingEnabled"] = false;










$tdataseasonal_discounts[".pageSize"] = 20;

$tdataseasonal_discounts[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataseasonal_discounts[".strOrderBy"] = $tstrOrderBy;

$tdataseasonal_discounts[".orderindexes"] = array();


$tdataseasonal_discounts[".sqlHead"] = "SELECT id,  	bar_code,  	discount,  	discount_type,  	start_date,  	end_date,  	outlet_code";
$tdataseasonal_discounts[".sqlFrom"] = "FROM `seasonal discounts`";
$tdataseasonal_discounts[".sqlWhereExpr"] = "";
$tdataseasonal_discounts[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataseasonal_discounts[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataseasonal_discounts[".arrGroupsPerPage"] = $arrGPP;

$tdataseasonal_discounts[".highlightSearchResults"] = true;

$tableKeysseasonal_discounts = array();
$tableKeysseasonal_discounts[] = "id";
$tdataseasonal_discounts[".Keys"] = $tableKeysseasonal_discounts;


$tdataseasonal_discounts[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["id"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "id";
//	bar_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "bar_code";
	$fdata["GoodName"] = "bar_code";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","bar_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bar_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bar_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["bar_code"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "bar_code";
//	discount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "discount";
	$fdata["GoodName"] = "discount";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","discount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "discount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "discount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["discount"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "discount";
//	discount_type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "discount_type";
	$fdata["GoodName"] = "discount_type";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","discount_type");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "discount_type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "discount_type";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["discount_type"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "discount_type";
//	start_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "start_date";
	$fdata["GoodName"] = "start_date";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","start_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "start_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "start_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["start_date"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "start_date";
//	end_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "end_date";
	$fdata["GoodName"] = "end_date";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","end_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "end_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "end_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["end_date"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "end_date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "seasonal discounts";
	$fdata["Label"] = GetFieldLabel("seasonal_discounts","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseasonal_discounts["outlet_code"] = $fdata;
		$tdataseasonal_discounts[".searchableFields"][] = "outlet_code";


$tables_data["seasonal discounts"]=&$tdataseasonal_discounts;
$field_labels["seasonal_discounts"] = &$fieldLabelsseasonal_discounts;
$fieldToolTips["seasonal_discounts"] = &$fieldToolTipsseasonal_discounts;
$placeHolders["seasonal_discounts"] = &$placeHoldersseasonal_discounts;
$page_titles["seasonal_discounts"] = &$pageTitlesseasonal_discounts;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["seasonal discounts"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["seasonal discounts"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_seasonal_discounts()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	bar_code,  	discount,  	discount_type,  	start_date,  	end_date,  	outlet_code";
$proto0["m_strFrom"] = "FROM `seasonal discounts`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "seasonal discounts";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "bar_code",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto8["m_sql"] = "bar_code";
$proto8["m_srcTableName"] = "seasonal discounts";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "discount",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto10["m_sql"] = "discount";
$proto10["m_srcTableName"] = "seasonal discounts";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "discount_type",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto12["m_sql"] = "discount_type";
$proto12["m_srcTableName"] = "seasonal discounts";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "start_date",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto14["m_sql"] = "start_date";
$proto14["m_srcTableName"] = "seasonal discounts";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "end_date",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto16["m_sql"] = "end_date";
$proto16["m_srcTableName"] = "seasonal discounts";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "seasonal discounts",
	"m_srcTableName" => "seasonal discounts"
));

$proto18["m_sql"] = "outlet_code";
$proto18["m_srcTableName"] = "seasonal discounts";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "seasonal discounts";
$proto21["m_srcTableName"] = "seasonal discounts";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "bar_code";
$proto21["m_columns"][] = "discount";
$proto21["m_columns"][] = "discount_type";
$proto21["m_columns"][] = "start_date";
$proto21["m_columns"][] = "end_date";
$proto21["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "`seasonal discounts`";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "seasonal discounts";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="seasonal discounts";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_seasonal_discounts = createSqlQuery_seasonal_discounts();


	
		;

							

$tdataseasonal_discounts[".sqlquery"] = $queryData_seasonal_discounts;



include_once(getabspath("include/seasonal_discounts_events.php"));
$tableEvents["seasonal discounts"] = new eventclass_seasonal_discounts;
$tdataseasonal_discounts[".hasEvents"] = true;

?>